# Roll Name Plugin

This unofficial TaleSpire plugin adds a text box for naming rolls to the dice tray. 

This plugin, like all others, is free but if you want to donate, use: http://LordAshes.ca/TalespireDonate/Donate.php

## Change Log
```
1.2.0: Exposed height of text box as configuration
1.1.0: Compatibility fix for BR update
1.0.0: Initial release
```

## Install

Install using R2ModMan or similar.

## Usage

1. Open dice tray.
2. Add at least one die.
3. A text box just above the dice appears.
4. Enter a name for the roll into the text box.
5. Pull the dice out of the tray and roll them.

## Limitations

1. Currently the game disables Game Input (Talespire keys) while the tray is open with at least one die (i.e. when the name textbox is visible). This prevents game input while typing a name.
2. Currently the location of the text box is placed in a static position. If the library is opened when a die is in the die tray the tray moves but the name text box does not.
